POST /v1/labs/orders
Service: integrations · operationId: (none)
Required scopes
(no scope declared — review service config)
Required headers
idempotency-key—
Request body
{
"type": "object",
"properties": {
"panel_slug": {
"type": "string",
"enum": [
"hashimotos",
"pcos",
"fertility",
"wellness",
"hormone_metabolic",
"performance"
]
},
"patient": {
"type": "object",
"properties": {
"first_name": {
"type": "string",
"minLength": 1
},
"last_name": {
"type": "string",
"minLength": 1
},
"dob": {
"type": "string",
"minLength": 1
},
"email": {
"type": "string",
"format": "email"
},
"phone": {
"type": "string",
"minLength": 1
},
"sex": {
"type": "string",
"minLength": 1
}
},
"required": [
"first_name",
"last_name",
"dob",
"email"
]
},
"address": {
"type": "object",
"properties": {
"line1": {
"type": "string",
"minLength": 1
},
"line2": {
"type": "string",
"minLength": 1
},
"city": {
"type": "string",
"minLength": 1
},
"state": {
"type": "string",
"minLength": 1
},
"zip": {
"type": "string",
"minLength": 1
},
"country": {
"type": "string",
"minLength": 1
}
},
"required": [
"line1",
"city",
"state",
"zip",
"country"
]
},
"total_cents": {
"type": [
"integer",
"null"
],
"minimum": 0
},
"currency": {
"type": [
"string",
"null"
],
"minLength": 3,
"maxLength": 8
},
"patient_id": {
"type": [
"string",
"null"
],
"minLength": 1
}
},
"required": [
"panel_slug",
"patient",
"address"
]
}Responses
201 Lab order created
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"brand_id": {
"type": "string"
},
"user_id": {
"type": "string"
},
"patient_id": {
"type": [
"string",
"null"
]
},
"panel_slug": {
"type": "string"
},
"junction_order_id": {
"type": "string"
},
"status": {
"type": "string"
},
"total_cents": {
"type": [
"integer",
"null"
]
},
"currency": {
"type": [
"string",
"null"
]
},
"tracking_number": {
"type": [
"string",
"null"
]
},
"result_bloodwork_id": {
"type": [
"string",
"null"
]
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"completed_at": {
"type": [
"string",
"null"
]
}
},
"required": [
"id",
"brand_id",
"user_id",
"patient_id",
"panel_slug",
"junction_order_id",
"status",
"total_cents",
"currency",
"tracking_number",
"result_bloodwork_id",
"created_at",
"updated_at",
"completed_at"
]
}400 Validation error
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}401 Unauthenticated
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}502 Junction upstream error
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}Example
curl -X POST https://integrations.platform.loop.health/v1/labs/orders \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{ ... }'Related
services/integrations— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced